package cn.com.poc.thirdparty.resource.demand.ai.entity.generations;

import cn.com.poc.thirdparty.resource.demand.dgTools.request.AbstractRequest;

import java.io.Serializable;

/**
 * @author alex.yao
 * @date 2023/7/3
 **/
public class BaiduGenerationsRequest extends AbstractRequest<BaiduGetImageResult> implements Serializable {

    /**
     * 【必填】输入内容，长度不超过100个字
     */
    private String text;

    /**
     * 【必填】图片分辨率，可支持1024*1024、1024*1536、1536*1024
     */
    private String resolution;

    /**
     * [必填] 目前支持风格有：探索无限、古风、二次元、写实风格、浮世绘、low poly 、未来主义、像素风格、概念艺术、赛博朋克、洛丽塔风格、巴洛克风格、超现实主义、水彩画、蒸汽波艺术、油画、卡通画
     */
    private String style;

    /**
     * [非必填] 图片生成数量，支持1-6张
     */
    private Integer num;

    public String getText() {
        return text;
    }

    public void setText(String text) {
        this.text = text;
    }

    public String getResolution() {
        return resolution;
    }

    public void setResolution(String resolution) {
        this.resolution = resolution;
    }

    public String getStyle() {
        return style;
    }

    public void setStyle(String style) {
        this.style = style;
    }

    public Integer getNum() {
        return num;
    }

    public void setNum(Integer num) {
        this.num = num;
    }

    @Override
    public String getMethod() throws Exception {
        return null;
    }
}
